## pygobject 3.50.2

=== docs/Makefile ===
DIAS = $(wildcard images/*.dia)
DIA_SVGS = $(patsubst %.dia,%.svg,$(DIAS))

all: _build

images/%.svg: images/%.dia
	dia $< --export=$@ --filter=dia-svg

_build: Makefile *.rst devguide/*.rst guide/*/*.rst guide/*.rst conf.py images/*.png $(DIA_SVGS) ../README.rst ../NEWS
	python3 -m sphinx -b html . _build

linkcheck:
	python3 -m sphinx -b linkcheck -n . _build

clean:
	rm -R _build

=== debian/changelog ===
pygobject (3.50.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Fix event loop selector with Python 3.13
      (pygobject!423 upstream, not previously fixed in Debian)
    - Compatibility with GLib >= 2.86
      (already fixed in 3.50.0-5, -6, -7 in Debian)
    - Fix DesktopAppInfo regressions with GLib < 2.86
      (#1117444, already fixed in 3.50.0-8 in Debian)
    - Fix asyncio on big-endian machines
      (#1085891, already fixed in 3.50.0-2 in Debian)
  * d/patches: Drop the patches that were in 3.50.0-8, all applied
    (slightly differently in some cases) upstream
  * d/p/Update-refcount-tests-in-3.14-less-refcounts-are-done.patch,
    d/p/Add-comment-where-3.14-refcount-updates-hurt.patch:
    Add new patches from upstream 3.54.0 fixing some (but not all) of
    the test failures with Python 3.14 (Helps: #1117897)
  * d/copyright: Don't quote the FSF's former postal address here
  * d/watch: Convert to v5 format
  * d/watch: Only watch for v3.50.x on this branch

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Oct 2025 14:55:30 +0100

pygobject (3.50.0-8) unstable; urgency=medium

  * Team upload
  * d/p/tests-Exercise-all-methods-defined-by-GDesktopAppInfo.patch,
    d/p/tests-Exercise-the-methods-of-GUnixInputStream-GUnixOutpu.patch,
    d/p/tests-Exercise-GioUnix.FDMessage-methods.patch,
    d/p/overrides-Make-GioUnix-work-as-intended-with-older-GLib.patch,
    d/p/tests-Test-GioUnix-compatibility-on-all-GLib-versions-bac.patch:
    Add proposed patches to fix DesktopAppInfo regressions
    (Closes: #1117444)
  * d/control: Bump required GLib version to 2.80.
    The patches added in 3.50.0-5 and subsequent versions require this.
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Oct 2025 13:03:03 +0100

=== debian/control ===
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: at-spi2-core <!nocheck>,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               gir1.2-cairo-1.0-dev,
               gir1.2-gio-2.0-dev (>= 2.80.0),
               gir1.2-girepository-2.0 <!nocheck>,
               gir1.2-gtk-3.0 <!nocheck>,
               gobject-introspection,
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libgirepository-1.0-dev,
               libglib2.0-dev (>= 2.80.0),
               locales <!nocheck>,
               meson,
               python3-all-dev,
               python3-cairo-dev (>= 1.16.0),
               python3-flake8 <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject/tree/debian/unstable
Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git -b debian/unstable
Homepage: https://pygobject.readthedocs.io/

Package: python3-gi
Architecture: any
Multi-Arch: allowed
Depends: gir1.2-glib-2.0 (>= 2.80.0),
         gir1.2-girepository-2.0,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-dev
Architecture: any
Depends: libffi-dev (>= 3.3),
         libglib2.0-dev (>= 2.80.0),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Depends: python3-cairo (>= 1.11.1),
         python3-gi (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/cache.json
Matching-Pattern: [\d.]+[02468]/@PACKAGE@-(3\.50\.[\d.]+)@ARCHIVE_EXT@
Download-Url-Mangle: s|cache.json||
Search-Mode: plain
Uversion-Mangle: s/\.(alpha|beta|rc)/~$1/

## pygobject 3.52.3

=== debian/changelog ===
pygobject (3.52.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Mar 2025 09:58:08 -0400

pygobject (3.52.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 11:36:53 -0400

pygobject (3.51.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied upstream
  * Update girepository dependencies
  * autopkgtests: Drop test_glib_flag test since it's not compatible with
    the new release. However, we don't believe anything else used this
    particular functionality.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Feb 2025 13:34:52 -0500

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper-compat (= 13),
                dh-sequence-python3,
                gir1.2-cairo-1.0-dev,
-               gir1.2-gio-2.0-dev (>= 2.80.0),
-               gir1.2-girepository-2.0 <!nocheck>,
+               gir1.2-gio-2.0-dev,
+               gir1.2-girepository-3.0 <!nocheck>,
                gir1.2-gtk-3.0 <!nocheck>,
                gobject-introspection,
                libcairo2-dev,
                libffi-dev (>= 3.3),
-               libgirepository-1.0-dev,
+               libgirepository-2.0-dev,
                libglib2.0-dev (>= 2.80.0),
                locales <!nocheck>,
                meson,
@@ -25,16 +25,17 @@
                python3-setuptools,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject/tree/debian/unstable
-Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git -b debian/unstable
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
+Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
 Homepage: https://pygobject.readthedocs.io/
 
 Package: python3-gi
 Architecture: any
 Multi-Arch: allowed
 Depends: gir1.2-glib-2.0 (>= 2.80.0),
-         gir1.2-girepository-2.0,
+         gir1.2-girepository-3.0,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## pygobject 3.54.3

=== debian/changelog ===
pygobject (3.54.3-1) experimental; urgency=medium

  * New upstream release
  * Import changes from 3.50.0-8
  * Remove patches applied in new release
  * Cherry-pick a build test fix
  * Update patches from upstream !261

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 10:17:50 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-python3,
                gir1.2-cairo-1.0-dev,
-               gir1.2-gio-2.0-dev,
+               gir1.2-gio-2.0-dev (>= 2.80.0),
                gir1.2-girepository-3.0 <!nocheck>,
                gir1.2-gtk-3.0 <!nocheck>,
                gobject-introspection,
@@ -25,8 +25,7 @@
                python3-setuptools,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject
 Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git
 Homepage: https://pygobject.readthedocs.io/

## pygobject 3.54.5

=== docs/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 images/%.svg: images/%.dia
 	dia $< --export=$@ --filter=dia-svg
 
-_build: Makefile *.rst devguide/*.rst guide/*/*.rst guide/*.rst conf.py images/*.png $(DIA_SVGS) ../README.rst ../NEWS
+_build: Makefile *.rst devguide/*.rst guide/*/*.rst guide/*.rst conf.py images/*.png images/*.svg $(DIA_SVGS) ../README.rst ../NEWS
 	python3 -m sphinx -b html . _build
 
 linkcheck:

=== debian/changelog ===
pygobject (3.54.5-7) unstable; urgency=medium

  * Use Breaks: gir1.2-libpeas-1.0 instead of libpeas.
    libpeas is only a source package name and Breaks must be used with
    binary package names.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Nov 2025 13:35:33 -0500

pygobject (3.54.5-6) unstable; urgency=medium

  * Add versioned Breaks: budgie-desktop for #1120138
  * Remove obsolete dh_strip dbgsym migration rule

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 09:45:38 -0500

pygobject (3.54.5-5) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Update Breaks version on eom and pluma

  [ Simon McVittie ]
  * Add versioned Breaks on streamtuner2, for removal of pygtkcompat.
    This assumes that the next maintainer upload or NMU will fix #1094922.
  * Release to unstable (starts transition: #1118613) (Closes: #1099164)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 10:58:31 +0000

pygobject (3.54.5-4) experimental; urgency=medium

  * Team upload
  * d/control: Correct Breaks version on eog
  * d/control: Depend on a newer GLib, to ensure that #1099192 is fixed.
    Otherwise we'll fail to load typelibs from the legacy pre-multiarch
    location, which would be a regression for a few packages like
    ibus-anthy and isenkram.
  * d/control: Add Breaks on older entangle, eom, liferea, pluma.
    This assumes that the next maintainer upload or NMU of these
    packages will make them compatible with pygobject >= 3.52,
    fixing #1118501, #1118496, #1118500, #1118497 respectively
    (patches are available).
  * Add versioned Breaks on autoradio, for removal of pygtkcompat.
    This assumes that the next maintainer upload or NMU will
    fix #1118278.

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Oct 2025 12:18:19 +0100

pygobject (3.54.5-3) experimental; urgency=medium

  * Team upload
  * d/p/Fix-memory-errors-in-gi_marshalling_tests_length_array_ut.patch:
    Add patch from upstream gobject-introspection-tests hopefully fixing
    FTBFS on 64-bit big-endian (Closes: #1118463)

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 16:49:06 +0100

pygobject (3.54.5-2) experimental; urgency=medium

  * Team upload
  * d/control: Add Breaks on some older Python apps.
    Newer versions of blueprint-compiler, exaile, gnome-music and rednotebook
    are dynamically compatible with either pygobject >= 3.52 or << 3.52,
    but older versions were only compatible with pygobject << 3.52.
    (Helps: #1099164)
  * d/control: Add Breaks on older libpeas.
    This library needs to be converted to libgirepository-2.0 at the same
    time as pygobject (Helps: #1099164, #1118363)
  * d/control: Add Breaks on older eog, gedit, rhythmbox, totem.
    These apps need source changes to be compatible with this new
    pygobject. We will probably also need to add Breaks on eom, liferea
    and pluma, and possibly also endeavour and entangle, but the moment
    I'm omitting those to make it easier for those apps' maintainers to
    test against this pygobject.
  * Merge packaging from debian/unstable git branch (no functional changes)

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 14:02:08 +0100

pygobject (3.54.5-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove all patches: applied in new release

  [ Simon McVittie ]
  * Merge packaging changes from debian/unstable git branch
    (no functional changes).
    This makes the history "fast-forwarding" (unlike just editing
    debian/changelog), which is desirable when using dgit.
  * d/watch: Convert to v5 format
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Consistently put a version constraint on all parts of
    src:glib2.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 08:56:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                debhelper-compat (= 13),
                dh-sequence-python3,
                gir1.2-cairo-1.0-dev,
-               gir1.2-gio-2.0-dev (>= 2.80.0),
-               gir1.2-girepository-3.0 <!nocheck>,
+               gir1.2-gio-2.0-dev (>= 2.86.0-7~),
+               gir1.2-girepository-3.0 (>= 2.86.0-7~) <!nocheck>,
                gir1.2-gtk-3.0 <!nocheck>,
                gobject-introspection,
                libcairo2-dev,
                libffi-dev (>= 3.3),
-               libgirepository-2.0-dev,
-               libglib2.0-dev (>= 2.80.0),
+               libgirepository-2.0-dev (>= 2.86.0-7~),
+               libglib2.0-dev (>= 2.86.0-7~),
                locales <!nocheck>,
                meson,
                python3-all-dev,
@@ -33,11 +33,27 @@
 Package: python3-gi
 Architecture: any
 Multi-Arch: allowed
-Depends: gir1.2-glib-2.0 (>= 2.80.0),
-         gir1.2-girepository-3.0,
+Depends: gir1.2-glib-2.0 (>= 2.86.0-7~),
+         gir1.2-girepository-3.0 (>= 2.86.0-7~),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Breaks: autoradio (<< 3.6.4-1.1~),
+        blueprint-compiler (<< 0.16.0),
+        budgie-desktop (<< 10.9.3-1.1~),
+        entangle (<< 3.0-5.1~),
+        eog (<< 47.0-4~),
+        eom (<< 1.28.0-1.1~),
+        exaile (<< 4.1.4),
+        gedit (<< 48.1-8~),
+        gir1.2-peas-1.0 (<< 1.36.0-6~),
+        gnome-music (<< 48.0),
+        liferea (<< 1.16.1+ds-2.1~),
+        pluma (<< 1.28.0-1.1~),
+        rednotebook (<< 2.39),
+        rhythmbox (<< 3.4.9-2~),
+        streamtuner2 (<< 2.2.2+dfsg-2.3~),
+        totem (<< 43.2-7~),
 Description: Python 3 bindings for gobject-introspection libraries
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -50,7 +66,7 @@
 Package: python-gi-dev
 Architecture: any
 Depends: libffi-dev (>= 3.3),
-         libglib2.0-dev (>= 2.80.0),
+         libglib2.0-dev (>= 2.86.0-7~),
          python3-gi (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

VERSIONS := $(shell py3versions --supported -v)

TESTSUITE_FAIL_CMD=exit 1
NON_FATAL=( echo "*** test-suite FAILED but continuing anyway ***"; true; )
ifneq ($(filter $(DEB_BUILD_ARCH), ),)
# tests currently fail on these architectures
    TESTSUITE_FAIL_CMD=$(NON_FATAL)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	set -e; for v in $(VERSIONS); do \
		dh_auto_configure \
			--builddirectory=build-$$v \
			-- \
			-Dpython=/usr/bin/python$$v \
			-Dauto_features=enabled \
			; \
	done

override_dh_auto_build-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		dh_auto_build \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

# don't run the tests under fakeroot, otherwise they will try to connect to
# root's session D-BUS
override_dh_auto_test-arch:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	set -e; for v in $(VERSIONS); do \
		LC_ALL=C.UTF-8; \
		PYTHON=/usr/bin/python$$v; \
		export HOME=$(CURDIR)/debian/tmp/home; \
		mkdir -p $$HOME/.local/share; \
		unset LD_PRELOAD; \
		VERBOSE=1; \
		xvfb-run dh_auto_test \
			--arch \
			--builddirectory=build-$$v \
			-- \
			--timeout-multiplier 3 \
			|| $(TESTSUITE_FAIL_CMD) \
			; \
		while [ -e /tmp/.X99-lock ]; do \
			echo "Waiting for xvfb to finish..."; \
			sleep 0.5; \
		done; \
	done
endif

override_dh_auto_install-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		VERBOSE=1 \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$v \
			--destdir=debian/tmp \
			-- \
			; \
	done

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-all-dev

Tests: build3
Restrictions: superficial
Depends: build-essential, python-gi-dev, python3-dev

Tests: python3
Restrictions: superficial
Depends: python3-gi, gir1.2-glib-2.0

Tests: python3-all
Restrictions: allow-stderr, superficial
Depends: python3-gi, gir1.2-glib-2.0, python3-all, python3-all-dbg

## pygobject 3.55.3

=== debian/changelog ===
pygobject (3.55.3-3) experimental; urgency=medium

  [ Alessandro Astone ]
  * d/p: Backport patch relaxing a threading assertion that affects tuned

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 25 Feb 2026 01:04:01 +0100

pygobject (3.55.3-2) experimental; urgency=medium

  * d/p: Cherry-pick upstream patch to handle caller-allocated C-arrays
  * d/p: Properly parse array length on big-endian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 25 Feb 2026 00:27:22 +0100

pygobject (3.55.3-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 10:55:00 +0100
